Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 606720 (CVE-2016-10155) - <app-emulation/qemu-2.8.0-r1: watchdog: memory leakage in virtual hardware watchdog wdt_i6300esb (CVE-2016-10155)
Summary: <app-emulation/qemu-2.8.0-r1: watchdog: memory leakage in virtual hardware wa...
Status: RESOLVED FIXED
Alias: CVE-2016-10155
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: http://www.openwall.com/lists/oss-sec...
Whiteboard: B4 [glsa cve]
Keywords:
Depends on: CVE-2017-5931
Blocks:
  Show dependency tree
 
Reported: 2017-01-21 18:35 UTC by Agostino Sarubbo
Modified: 2017-02-21 00:25 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2017-01-21 18:35:40 UTC
From ${URL} :

Quick Emulator(Qemu) built with the virtual hardware watchdog 'wdt_i6300esb' 
support is vulnerable to a memory leakage issue. It could occur while doing a 
device unplug operation; Doing so repeatedly would result in leaking host 
memory, affecting other services on the host.

A privileged user inside guest could use this flaw to cause a DoS and/or 
potentially crash the Qemu process on the host.

Upstream patch:
---------------
   -> https://lists.nongnu.org/archive/html/qemu-devel/2016-12/msg03104.html

Reference:
----------
   -> https://bugzilla.redhat.com/show_bug.cgi?id=1415199

Commit:
http://git.qemu.org/?p=qemu.git;a=commit;h=eb7a20a3616085d46aa6b4b4224e15587ec67e6e


@maintainer(s): after the bump, in case we need to stabilize the package, please let us know if it is ready for the stabilization or not.
Comment 1 Thomas Deutschmann gentoo-dev Security 2017-02-16 18:27:52 UTC
Added to an existing GLSA request.
Comment 2 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:19:59 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 3 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:23:02 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2017-02-21 00:25:55 UTC
This issue was resolved and addressed in
 GLSA 201702-28 at https://security.gentoo.org/glsa/201702-28
by GLSA coordinator Thomas Deutschmann (whissi).